Package org.apache.synapse.commons.emulator.http.dsl.dto.producer

## Class OutgoingMessage

- java.lang.Object
- - org.apache.synapse.commons.emulator.http.dsl.dto.producer.OutgoingMessage

-     public class OutgoingMessage
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutgoingMessage()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBody()` |
    `List<Header>` | `getHeaders()` |
    `io.netty.handler.codec.http.HttpResponseStatus` | `getStatusCode()` |
    `static OutgoingMessage` | `response()` |
    `OutgoingMessage` | `withBody​(String body)` |
    `OutgoingMessage` | `withHeader​(String name, String value)` |
    `OutgoingMessage` | `withHeaders​(Header... headers)` |
    `OutgoingMessage` | `withStatusCode​(io.netty.handler.codec.http.HttpResponseStatus statusCode)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutgoingMessage

          public OutgoingMessage()

  - ### Method Detail

    - #### response

          public static OutgoingMessage response()

    - #### withStatusCode

          public OutgoingMessage withStatusCode​(io.netty.handler.codec.http.HttpResponseStatus statusCode)

    - #### withHeader

          public OutgoingMessage withHeader​(String name,
                                            String value)

    - #### withHeaders

          public OutgoingMessage withHeaders​(Header... headers)

    - #### withBody

          public OutgoingMessage withBody​(String body)

    - #### getStatusCode

          public io.netty.handler.codec.http.HttpResponseStatus getStatusCode()

    - #### getHeaders

          public List<Header> getHeaders()

    - #### getBody

          public String getBody()